import{s as le,n as oe,o as re}from"../chunks/scheduler.389d799c.js";import{S as ce,i as ue,g as l,s as a,r as W,A as pe,h as o,f as i,c as s,j as ae,u as D,x as c,k as se,y as de,a as n,v as R,d as Z,t as F,w as J}from"../chunks/index.8f81d18f.js";import{H as K}from"../chunks/Heading.41733039.js";function fe(N){let r,T,b,P,u,z,p,O="Autoscaling allows you to dynamically adjust the number of endpoint replicas running your models based on traffic and accelerator utilization. By leveraging autoscaling, you can seamlessly handle varying workloads while optimizing costs and ensuring high availability.",A,d,q,f,Q="The autoscaling process is triggered based on the accelerator’s utilization metrics. The criteria for scaling differ depending on the type of accelerator being used:",H,m,V="<li><p><strong>CPU Accelerators</strong>: A new replica is added when the average CPU utilization of all replicas reaches 80%.</p></li> <li><p><strong>GPU Accelerators</strong>: A new replica is added when the average GPU utilization of all replicas over a 2-minute window reaches 80%.</p></li>",S,h,X="It’s important to note that the scaling up process takes place every minute, while the scaling down process takes 2 minutes. This frequency ensures a balance between responsiveness and stability of the autoscaling system, with a stabilization of 300 seconds once scaled up or down.",L,g,M,v,Y="While autoscaling offers convenient resource management, certain considerations should be kept in mind to ensure its effectiveness:",k,w,ee='<li><p><strong>Model Initialization Time</strong>: During the initialization of a new replica, the model is downloaded and loaded into memory. If your replicas have a long initialization time, autoscaling may not be as effective. This is because the average GPU utilization might fall below the threshold during that time, triggering the automatic scaling down of your endpoint.</p></li> <li><p><strong>Enterprise Plan Control</strong>: If you have an <a href="https://huggingface.co/inference-endpoints/enterprise" rel="nofollow">enterprise plan</a>, you have full control over the autoscaling definitions. This allows you to customize the scaling thresholds, behavior and criteria based on your specific requirements.</p></li>',E,y,U,$,te="Inference Endpoints also supports autoscaling to 0, which means reducing the number of replicas to 0 when there is no incoming traffic. This feature is based on request patterns rather than accelerator utilization. When an endpoint remains idle without receiving any requests for over 15 minutes, the system automatically scales down the endpoint to 0 replicas. To enable the feature, go to the Settings page and you’ll find a section called “Automatic Scale-to-Zero”.",I,C,ie="Scaling to 0 replicas helps optimize cost savings by minimizing resource usage during periods of inactivity. However, it’s important to be aware that scaling to 0 implies a cold start period when the endpoint receives a new request. Additionally, the HTTP server will respond with a status code <code>502 Bad Gateway</code> while the new replica is initializing. Please note that there is currently no queueing system in place for incoming requests. Therefore, we recommend developing your own request queue client-side with proper error handling to optimize throughput and latency.",G,x,ne="The duration of the cold start period varies depending on your model’s size. It is recommended to consider the potential latency impact when enabling scaling to 0 and managing user expectations.",j,_,B;return u=new K({props:{title:"Autoscaling",local:"autoscaling",headingTag:"h1"}}),d=new K({props:{title:"Scaling Criteria",local:"scaling-criteria",headingTag:"h2"}}),g=new K({props:{title:"Considerations for Effective Autoscaling",local:"considerations-for-effective-autoscaling",headingTag:"h2"}}),y=new K({props:{title:"Scaling to 0",local:"scaling-to-0",headingTag:"h2"}}),{c(){r=l("meta"),T=a(),b=l("p"),P=a(),W(u.$$.fragment),z=a(),p=l("p"),p.textContent=O,A=a(),W(d.$$.fragment),q=a(),f=l("p"),f.textContent=Q,H=a(),m=l("ul"),m.innerHTML=V,S=a(),h=l("p"),h.textContent=X,L=a(),W(g.$$.fragment),M=a(),v=l("p"),v.textContent=Y,k=a(),w=l("ul"),w.innerHTML=ee,E=a(),W(y.$$.fragment),U=a(),$=l("p"),$.textContent=te,I=a(),C=l("p"),C.innerHTML=ie,G=a(),x=l("p"),x.textContent=ne,j=a(),_=l("p"),this.h()},l(e){const t=pe("svelte-u9bgzb",document.head);r=o(t,"META",{name:!0,content:!0}),t.forEach(i),T=s(e),b=o(e,"P",{}),ae(b).forEach(i),P=s(e),D(u.$$.fragment,e),z=s(e),p=o(e,"P",{"data-svelte-h":!0}),c(p)!=="svelte-1cik5b8"&&(p.textContent=O),A=s(e),D(d.$$.fragment,e),q=s(e),f=o(e,"P",{"data-svelte-h":!0}),c(f)!=="svelte-15ptey4"&&(f.textContent=Q),H=s(e),m=o(e,"UL",{"data-svelte-h":!0}),c(m)!=="svelte-aptcki"&&(m.innerHTML=V),S=s(e),h=o(e,"P",{"data-svelte-h":!0}),c(h)!=="svelte-1didbzs"&&(h.textContent=X),L=s(e),D(g.$$.fragment,e),M=s(e),v=o(e,"P",{"data-svelte-h":!0}),c(v)!=="svelte-m86usn"&&(v.textContent=Y),k=s(e),w=o(e,"UL",{"data-svelte-h":!0}),c(w)!=="svelte-mm7v54"&&(w.innerHTML=ee),E=s(e),D(y.$$.fragment,e),U=s(e),$=o(e,"P",{"data-svelte-h":!0}),c($)!=="svelte-15noffw"&&($.textContent=te),I=s(e),C=o(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-rmhk41"&&(C.innerHTML=ie),G=s(e),x=o(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-11efh16"&&(x.textContent=ne),j=s(e),_=o(e,"P",{}),ae(_).forEach(i),this.h()},h(){se(r,"name","hf:doc:metadata"),se(r,"content",me)},m(e,t){de(document.head,r),n(e,T,t),n(e,b,t),n(e,P,t),R(u,e,t),n(e,z,t),n(e,p,t),n(e,A,t),R(d,e,t),n(e,q,t),n(e,f,t),n(e,H,t),n(e,m,t),n(e,S,t),n(e,h,t),n(e,L,t),R(g,e,t),n(e,M,t),n(e,v,t),n(e,k,t),n(e,w,t),n(e,E,t),R(y,e,t),n(e,U,t),n(e,$,t),n(e,I,t),n(e,C,t),n(e,G,t),n(e,x,t),n(e,j,t),n(e,_,t),B=!0},p:oe,i(e){B||(Z(u.$$.fragment,e),Z(d.$$.fragment,e),Z(g.$$.fragment,e),Z(y.$$.fragment,e),B=!0)},o(e){F(u.$$.fragment,e),F(d.$$.fragment,e),F(g.$$.fragment,e),F(y.$$.fragment,e),B=!1},d(e){e&&(i(T),i(b),i(P),i(z),i(p),i(A),i(q),i(f),i(H),i(m),i(S),i(h),i(L),i(M),i(v),i(k),i(w),i(E),i(U),i($),i(I),i(C),i(G),i(x),i(j),i(_)),i(r),J(u,e),J(d,e),J(g,e),J(y,e)}}}const me='{"title":"Autoscaling","local":"autoscaling","sections":[{"title":"Scaling Criteria","local":"scaling-criteria","sections":[],"depth":2},{"title":"Considerations for Effective Autoscaling","local":"considerations-for-effective-autoscaling","sections":[],"depth":2},{"title":"Scaling to 0","local":"scaling-to-0","sections":[],"depth":2}],"depth":1}';function he(N){return re(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ye extends ce{constructor(r){super(),ue(this,r,he,fe,le,{})}}export{ye as component};
